## ros-indigo-roch-teleop 1.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_teleop)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS roscpp geometry_msgs joy)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
  CATKIN_DEPENDS roscpp geometry_msgs joy
  DEPENDS
)

###########
## Build ##
###########

add_executable(roch_teleop_joy src/roch_joy.cpp)
target_link_libraries(roch_teleop_joy ${catkin_LIBRARIES})

add_executable(roch_xbox_joy src/roch_xbox_joy.cpp)
target_link_libraries(roch_xbox_joy ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executable scripts (Python etc.) for installation
install(PROGRAMS
  scripts/roch_teleop_key
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS roch_teleop_joy roch_xbox_joy
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark all other useful stuff for installation
install(DIRECTORY launch param scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-roch-teleop (1.0.17-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chen <gchen@soyrobotics.com>  Sun, 27 May 2018 11:09:21 -0000

ros-indigo-roch-teleop (1.0.16-1trusty) trusty; urgency=high

  * Update xbox360_teleop.launch
  * Update CMakeLists.txt
  * Update xbox360_teleop.launch
  * Remap email and website.
  * Update roch_xbox_joy.cpp
    Add linear & angular speed increase and reduce, buttons are up and down select key.
  * Contributors: SawYer-Robotics, Soy Robotics, doudou0114

 -- Carl <carlzhang@soyrobotics.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-teleop (1.0.15-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.14-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.13-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.12-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 29 Mar 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.11-1trusty) trusty; urgency=high

  * Fixed send command can not move.
  * Update velocity_smoother.launch.xml.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.10-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.9-1trusty) trusty; urgency=high

  * Add run depend yocs_cmd_vel_mux.

 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.8-1trusty) trusty; urgency=high

  * Changes permissions of python files.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.7-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-teleop (1.0.6-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch-teleop (0.0.1-1trusty) trusty; urgency=high

  * Create

 -- Carl <wzhang@softrobtech.com>  Thu, 29 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-teleop
Section: misc
Priority: extra
Maintainer: Chen <gchen@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-joy, ros-indigo-roscpp, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/roch_teleop
Standards-Version: 3.9.2

Package: ros-indigo-roch-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diff-drive-controller, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-twist-server, ros-indigo-joint-state-controller, ros-indigo-joint-trajectory-controller, ros-indigo-joy, ros-indigo-robot-localization, ros-indigo-roscpp, ros-indigo-rostopic, ros-indigo-teleop-twist-joy, ros-indigo-twist-mux, ros-indigo-yocs-cmd-vel-mux, ros-indigo-yocs-velocity-smoother
Description: Soy roch controller configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
